Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.entity
Class PlanningEntitySorter

    java.lang.Object
      org.drools.planner.core.domain.entity.PlanningEntitySorter

Deprecated.

    @Deprecated
    public class PlanningEntitySorter

extends Object

Constructor Summary
`PlanningEntitySorter()` Deprecated.

Method Summary
`boolean` | `isSortDifficultySupported()` Deprecated.
`void` | `setDifficultyComparator(Comparator<Object> difficultyComparator)` Deprecated.
`void` | `setDifficultyWeightFactory(SelectionSorterWeightFactory difficultyWeightFactory)` Deprecated.
`void` | `sortDifficultyAscending(Solution solution, List<Object> planningEntityList)` Deprecated.
`void` | `sortDifficultyDescending(Solution solution, List<Object> planningEntityList)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningEntitySorter

    public PlanningEntitySorter()

  Deprecated.

Method Detail

### setDifficultyComparator

    public void setDifficultyComparator(Comparator<Object> difficultyComparator)

  Deprecated.

### setDifficultyWeightFactory

    public void setDifficultyWeightFactory(SelectionSorterWeightFactory difficultyWeightFactory)

  Deprecated.

### isSortDifficultySupported

    public boolean isSortDifficultySupported()

  Deprecated.

### sortDifficultyAscending

    public void sortDifficultyAscending(Solution solution,
                                        List<Object> planningEntityList)

  Deprecated.

### sortDifficultyDescending

    public void sortDifficultyDescending(Solution solution,
                                         List<Object> planningEntityList)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.